| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalBitsetHeader Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalBitsetHeader defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalBitsetHeader ()
| Default constructor.
eProsima_user_DllExport | ~MinimalBitsetHeader ()
| Default destructor.
eProsima_user_DllExport | MinimalBitsetHeader (const MinimalBitsetHeader &x)
| Copy constructor.
eProsima_user_DllExport | MinimalBitsetHeader (MinimalBitsetHeader &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalBitsetHeader & | operator= (const MinimalBitsetHeader &x)
| Copy assignment.
eProsima_user_DllExport MinimalBitsetHeader & | operator= (MinimalBitsetHeader &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalBitsetHeader &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalBitsetHeader &x) const
| Comparison operator.

## Detailed Description

This class represents the structure MinimalBitsetHeader defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalBitsetHeader() [1/3]

eProsima_user_DllExport MinimalBitsetHeader | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalBitsetHeader()

eProsima_user_DllExport ~MinimalBitsetHeader | ( |  | ) |

inline

Default destructor.

## ◆ MinimalBitsetHeader() [2/3]

eProsima_user_DllExport MinimalBitsetHeader | ( | const MinimalBitsetHeader & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalBitsetHeader that will be copied.

## ◆ MinimalBitsetHeader() [3/3]

eProsima_user_DllExport MinimalBitsetHeader | ( | MinimalBitsetHeader && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalBitsetHeader that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalBitsetHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalBitsetHeader object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalBitsetHeader & operator= | ( | const MinimalBitsetHeader & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalBitsetHeader that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalBitsetHeader & operator= | ( | MinimalBitsetHeader && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalBitsetHeader that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalBitsetHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalBitsetHeader object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp